/** @module matchList/state */

/**
 * state.js
 *
 * Collection of everything which has to do with state changes.
 **/

/** actionTypes define what actions are handeled by the reducer. */
export const actions = {
  setState: matches => {
    return {
      type: 'SET_MATCHES',
      matches
    }
  }
}
console.log('State actions', actions)

/** state definition */
export const state = {
  allMatches: [],
  filteredMatches: [],
  filters: {}
}
console.log('State state', state)

/** reducer is called by the redux dispatcher and handles all component actions */
export function reducer (state = [], action) {
  let nextState = state
  return nextState
}

/** sagas are asynchronous workers (JS generators) to handle the state. */
export function * saga () {}
