import Excel from '../excel'         // Helper files to create Excel files
import Player from '../classes/player'

function handlePlayerList (event) {
  const file = this.playerList.files[0]
  Excel.readWorkbook(file, this.generatePlayerList)
}

export function generatePlayerList (worksheet) {
  console.log('About to read the player list.')
    /* const worksheets = { ...this.state.worksheets }
    worksheets['PlayerList'] = worksheet
    this.setState({ worksheets }) */

  if (worksheet[4].length !== 32 & worksheet[3][0] !== 'Konkurrenz' & worksheet[3][31] !== 'bezahlt') {
    throw Error('Wrong file structure.')
  }
  const players = worksheet.slice(4, worksheet.length).map((playerData) => new Player.Player(playerData))
  const player = { ...this.state.player }
  player.players = players
  this.setState({ player })
  this.calculatePayDate()
  this.filterPlayers()
  console.log('State after generating player list:', this.state)
}
